Partial fraction decomposition is when you break a polynomial fraction down into smaller fractions that add together. 
## Degree where the numerator is less
1. Factor the bottom. 
2. Create two fractions, $\frac{a}{p1}$, and $\frac{b}{p2}$, where p1 and p2 are the polynomials you just factored out, and a/b are arbitrary variables
3. Multiply a by p2, and b by p1., giving you: $$\frac{a*p2}{p1} + \frac{b*p1}{p2}$$
4. When you split the 

### Example
$$ \frac{2x+1}{(x+1)(x+2)} $$
Given the above fraction, the denominator is already factored, so we can move onto the next step, where two fractions are made with $a$ and $b$ in the numerator, and each of the denominator components in the denominator:
$$ \frac{a}{x+1} + \frac{b}{x+2} $$
Next, find a common denominator so that you can add the two fractions together. In this case, it's $(x+1)(x+2)$.

## Degree of the numerator is equal
1. First perform polynomial division.
2. Then find a partial fraction with the remainder

## Degree where the numerator is greater
1. First perform polynomial division to reach a point where the degree of the numerator is less than the degree of the denominator